*If(strcmp(MatProp(Geom_Type),"BAR_WITH_BOND")==0 || strcmp(MatProp(Geom_Type),"BAR_WITH_MEMORY_BOND")==0)
*include ..\include.src.bas\Function_BarWithBond.bas

GEOMETRY ID *matvar
  NAME "BarWithBondGeometry #*matvar as name *MatProp(Material_Prototype)"
  TYPE "Cable"
  AREA       *MatProp(Area,Real)
  PERIMETER  *MatProp(Bar_Perimeter,Real)
  CONSTANT   1.0
*If(strcmp(MatProp(Bar_End),"Fixed_START")==0)
  FIXED START
*ElseIf(strcmp(MatProp(Bar_End),"Fixed_END")==0)
  FIXED END
*ElseIf(strcmp(MatProp(Bar_End),"Fixed_BOTH")==0)
  FIXED BOTH
*ElseIf(strcmp(MatProp(Bar_End),"Fixed_NONE")==0)
  // FIXED NONE   
*EndIf
*If(strcmp(MatProp(Geom_Type),"BAR_WITH_BOND")==0 || strcmp(MatProp(Geom_Type),"BAR_WITH_MEMORY_BOND")==0)
  FUNCTION *Operation(matvar*10000)
*EndIf
*If(strcmp(MatProp(Geom_Type),"BAR_WITH_MEMORY_BOND")==0)
  FRICTION UNLOAD COEFFICIENT *MatProp(Friction_unload_coefficient,Real)
*EndIf
*ElseIf(strcmp(MatProp(Geom_Type),"CABLE")==0)

GEOMETRY ID *matvar
  NAME "CableBondGeometry #*matvar as name *MatProp(Material_Prototype)"
  TYPE "Cable"
  AREA                 *MatProp(Area,Real)
  FRICTION CONSTANT    *MatProp(Cohesion,Real)
  FRICTION COEFFICIENT *MatProp(Friction,Real)
  RADIUS               *MatProp(Radius,Real)
*If(strcmp(MatProp(Active_Anchor),"START")==0)
  PRESTRESSED START
*ElseIf(strcmp(MatProp(Active_Anchor),"END")==0)
  PRESTRESSED END
*ElseIf(strcmp(MatProp(Active_Anchor),"BOTH")==0)
  PRESTRESSED BOTH
*EndIf
*Else
*# If(strcmp(MatProp(Geom_Type),"NORMAL")==0)

GEOMETRY ID *matvar
  NAME "TrussGeometry #*matvar as name *MatProp(Material_Prototype)"
  TYPE "Truss"
  AREA *MatProp(Area,Real) ;
*EndIf
